﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaAdmission>
@{
    ViewBag.Title = "Index";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {

            $("#fdate").datepicker();
            $("#tdate").datepicker();

        });
        deleterecord("MaAdmission");


        $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                searchfun();
            }
            return true;
        });


        $("#Searchbtn").click(function () {

            searchfun();
        });

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var Rollno = 0;
            var branch = $("#txtbranch").val();
            var dt1 = $("#fdate").val();

            var dt2 = $("#tdate").val();
            if ($.isNumeric(Rollno)) {
                var Rollno = $("#txtrollno").val();


            }
            else {
                alert('Roll no must be in integer');
            }
            window.location.href = "/MaAdmission/AllStudent?name=" + name + "&&mobile=" + mobile +"&&branch="+branch +"&&Rollno=" + Rollno + "&&fdate=" + dt1 + "&&tdate=" + dt2;
        }

    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Admission List</h1>
</div>
<ul class="breadcrumb">
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="width: 70px" align="left">
                Roll No.
            </td>
            <td style="vertical-align: middle">
                Name
            </td>
            <td style="vertical-align: middle">
                Mobile
            </td>
            <td style="vertical-align: middle">Branch</td>
            <td>
                From Date
            </td>
            <td>
                To Date
            </td>
            <td>
            </td>
        </tr>
        <tr>
            <td>
                <input id="txtrollno" type="text" value="@ViewBag.rollno" style="width: 110px" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.name" id="txtname" />
            </td>
            <td>
                <input type="text" style="width: 110px" value="@ViewBag.mobile" id="txtmobile" />
            </td>
             <td>
                <input type="text" style="width: 110px" value="@ViewBag.branch" id="txtbranch" />
            </td>
            <td>
                <input type="date" style="width: 110px" value="@ViewBag.fdate" id="fdate" />
            </td>
            <td>
                <input type="date" style="width: 110px" value="@ViewBag.tdate" id="tdate" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*@Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.FatherName)
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>Branch</th>
                        <th>
                            Adm. Date
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td align="left">@Html.DisplayFor(modelItem => item.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName) &nbsp @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FatherName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>@Html.DisplayFor(modelItem => item.MaBranch.BramchName)</td>
                            <td align="left">
                                @{string admdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}
                                @admdate
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                  @{if (utype == CommonUtil.UserTypeSuperAdmin)
                                    {
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                    }
                                                                                                                                                                                                   
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/Add.png", "Move To Course History", "CourseHistory", "MaAdmission", new { id = item.Id }, null, null)
                                @if (db.Tb_CourseHist.Where(z => z.AdmissionId == item.Id).Count() > 0)
                                {

                                    @Html.ImageActionLink("../../Content/themes/base/images/ledger.png", "Ledger", "GetLedger", "Tb_Ledger", new { accid = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/feedetail.jpg", "Fee Detail", "StudentFeeDetail", "Tbfeereceipt", new { admid = item.Id }, null, null)
                                }
                                @{
                                if (db.Tb_StudLeave.Where(z => z.AdmissionId == item.Id).Count() > 0)
                                {
                                    @Html.ImageActionLink("../../Content/themes/base/images/leave.png", "Leave Detail", "_StudentLeaveList", "TbStudLeave", new { id = item.Id }, new { @target = "_blank", @class = "editAcBtn" }, null)
                                }
                                if (Request.Cookies[CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeAdmin || Request.Cookies[CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeSuperAdmin)
                                {
                                    if (item.IsLeft != true)
                                    {
                                    @Html.ImageActionLink("../../Content/themes/base/images/balance.png", "Transfer Student", "TransferStudent", "MaAdmission", new { id = item.Id }, null, null)
                                    }
                                }
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Student Leave Detail" style="width: 556px">
        </div>
    </div>
</div>
